<template>
  <v-tooltip
    bottom
    :content-class="
      contentColor
        ? contentColor + 'text-center system_grey_1--text'
        : 'primary text-center'
    "
    internal-activator
    max-width="309px"
    :color="color ? color : 'system_grey_1'"
  >
    <template v-slot:activator="{ on, attrs }">
      <v-icon
        :color="color ? color : 'system_grey_2'"
        class="cursor-pointer"
        style="font-size: 20px"
        v-bind="attrs"
        v-on="on"
      >
        {{ icon }}
      </v-icon>
    </template>
    <span>{{
      information ? information : "Lorem Ipsum is simply dummy text"
    }}</span>
  </v-tooltip>
</template>
<script>
export default {
  props: ["icon", "information", "color", "contentColor"],
};
</script>
